import multiprocessing

def sink(p_snk,p_src):
    p_src.close() # Close this local connection to source end of the pipe
    my_list = []
    while True:
        try:
            item = p_snk.recv()
        except EOFError:
            break
        #print item
        my_list.append(item**3)

def source(p_snk,p_src):
    p_snk.close() # Close this local connection to the sink end of the pipe
    for item in xrange(10000000):
        p_src.send(item)

if __name__ == '__main__':
    # Create pipe and return connections to the source and sink sides of the pipe
    p_snk, p_src = multiprocessing.Pipe(duplex=False)

    # Separate sink process
    my_sink = multiprocessing.Process(target=sink, args=(p_snk, p_src))
    my_sink.start()

    # Separate source process
    my_source = multiprocessing.Process(target=source, args=(p_snk, p_src))
    my_source.start()

